import axios from "axios";

const API_URL = "http://localhost:8080/api/";
const AUTHORIZATION_URL = API_URL.concat("auth/");
const ACCOUNTS_URL = API_URL.concat("users/");

class AccountService {
  createAccount(request) {
    return axios.post(AUTHORIZATION_URL.concat("signup"), request);
  }

  login(request) {
    return axios.post(AUTHORIZATION_URL.concat("signin"), request);
  }

  getUser(id) {
    return axios.get(ACCOUNTS_URL.concat(id));
  }

  logout(user) {
    user.loggedIn = false;
    return axios.put(ACCOUNTS_URL.concat(user.userId), user);
  }
}

export default new AccountService();
